using UnityEditor;
using UnityEngine;
using System.IO;

public class CreateAssetBundles
{
    [MenuItem ("Assets/Build AssetBundles")]
    static void BuildAllAssetBundles ()
    {
        var name = Application.productName;
        var dir = System.Environment.GetFolderPath(System.Environment.SpecialFolder.CommonApplicationData) +
			Path.DirectorySeparatorChar +
            "Revival" + Path.DirectorySeparatorChar + "Overload" + Path.DirectorySeparatorChar +
            name +
			Path.DirectorySeparatorChar;
        Directory.CreateDirectory(dir + "windows");
        BuildPipeline.BuildAssetBundles(dir + "windows", BuildAssetBundleOptions.None, BuildTarget.StandaloneWindows64);
        Directory.CreateDirectory(dir + "linux");
        BuildPipeline.BuildAssetBundles(dir + "linux", BuildAssetBundleOptions.None, BuildTarget.StandaloneLinuxUniversal);
        Directory.CreateDirectory(dir + "osx");
        BuildPipeline.BuildAssetBundles(dir + "osx", BuildAssetBundleOptions.None, BuildTarget.StandaloneOSX);
    }
}
